Name:		ccache
Version:	3.2.5
Release:	%mkrel 1
Group:		Development/Other
Summary:	Compiler Cache
Summary(de):	Cache für den Kompiler
License:	GPLv3
URL:		http://ccache.samba.org/
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ccache is a compiler cache. It acts as a caching pre-processor to 
C/C++ compilers, using the -E compiler switch and a hash to detect 
when a compilation can be satisfied from cache. This often results 
in a 5 to 10 times speedup in common compilations.

To enable ccache's default use, the system admin should modify 
%{_sysconfdir}/sysconfig/ccache to "yes". If its default use is not 
enabled and you wish to use it, simply add %{_prefix}/%{_lib}/ccache/bin/ to 
the start of your \$PATH

%description -l de
ccache ist ein Cache für den Kompiler. Es agiert als ein zwischenspeichernder
Pre-Prozessor für C/C++ Kompiler, nutzt den -E Kompiler Switch und einen
Hash um zu erkennen, ob eine Kompilierung vom Cache aus genügt. Dies resultiert
häufig in einer 5 bis 10 mal schnelleren Kompilierung.

Um ccache's als Standard zu aktivieren, sollte der Systemadministrator 
%{_sysconfdir}/sysconfig/ccache auf "yes" setzen. Wenn es standardmäßig
nicht aktiviert ist und Sie wünschen es zu nutzen, dann fügen Sie einfach
%{_prefix}/%{_lib}/ccache/bin/ zu Beginn Ihrer \$PATH -Variable hinzu.

%prep
%setup -q

%build
%configure2_5x
%make

%__cat <<EOF > %{name}.sh

if [ -f /etc/sysconfig/ccache ]; then
    . /etc/sysconfig/ccache
fi
if [ "\$USE_CCACHE_DEFAULT" = "yes" ]; then
    if [ -z \`echo "\$PATH" | grep "%_libdir/ccache/bin"\` ]; then
        export PATH="%_libdir/ccache/bin:\$PATH"
    fi
fi
EOF

%__cat << EOF > %{name}.csh

if ( -f /etc/sysconfig/ccache ) then
    eval \`sed -n 's/^\([^#]*\)=\([^#]*\)/set \1=\2;/p' < /etc/sysconfig/ccache\`
endif
if ( "\$USE_CCACHE_DEFAULT" == "yes" ) then
    if ( "\$path" !~ *%_libdir/ccache/bin* ) then
        setenv path = ( %_libdir/ccache/bin \$path )
    endif
endif
EOF

%install
%__rm -rf %{buildroot}
%__install -dm 755 %{buildroot}{%{_bindir},%{_libdir}/ccache/bin,%{_mandir}/man1}
%__install -pm 755 ccache %{buildroot}%{_bindir}
%__install -pm 644 ccache.1 %{buildroot}%{_mandir}/man1
%__install -dm 755 %{buildroot}%{_sysconfdir}/profile.d
%__install -pm 755 %{name}.sh %{name}.csh %{buildroot}%{_sysconfdir}/profile.d
rm -f %{name}-%{version}.compilers
pref=`gcc -dumpmachine`

create_compiler() {
%__cat <<EOF > %{buildroot}%{_prefix}/%{_lib}/ccache/bin/$1
#!/bin/sh
if [ ! -x %_bindir/$1 ]; then
	echo Error: compiler $1 does not exist. >&2
	exit 127
fi
PATH=%_bindir:\$PATH
if [ -f /etc/sysconfig/ccache ]; then
	. /etc/sysconfig/ccache
	if [ "\$USE_CCACHE_WITH_ICECREAM" = "yes" ]; then
	PATH=%{_libdir}/icecc/bin:\$PATH
	fi
fi

ccache ${1} "\$@"
EOF
echo "%attr(0755,root,root) %{_libdir}/ccache/bin/$1" >> %{name}-%{version}.compilers
}

for name in gcc g++ c++; do
 for comp in $name $pref-$name ${pref/manbo/mandriva}-$name; do
  # check for backports that have no manbo:
  [ -e "%{buildroot}%{_libdir}/ccache/bin/$comp" ] || create_compiler $comp
 done
done
create_compiler cc

%__mkdir_p %{buildroot}%{_sysconfdir}/sysconfig/
%__cat <<EOF > %{buildroot}/%{_sysconfdir}/sysconfig/%{name}
# Should we add the ccache compiler symlinks to PATH
# yes|no
# Please note that if added to \$PATH the user can still disable 
# it with CCACHE_DISABLE
# If not enabled by default, the user can add %{_libdir}/ccache/bin/
# to their \$PATH
USE_CCACHE_DEFAULT="yes"

# Enable icecream integration
USE_CCACHE_WITH_ICECREAM="no"

EOF

%clean
rm -rf %{buildroot}

%files -f %{name}-%{version}.compilers
%defattr(-,root,root)
%dir %{_libdir}/ccache
%dir %{_libdir}/ccache/bin
%{_bindir}/ccache
%{_mandir}/man1/ccache.1*
%{_sysconfdir}/profile.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/*



%changelog
* Thu Jun 02 2016 bb <bb> 3.2.5-1pclos2016
- update

* Wed Oct 21 2015 bb <bb> 3.2.4-1pclos2015
- update

* Thu Aug 20 2015 bb <bb> 3.2.3-1pclos2015
- update

* Sun Jun 21 2015 bb <bb> 3.2.2-1pclos2015
- update

